Bug 100676 - boot time e2fsck displays weird characters
boot time e2fsck displays weird characters
Product: Fedora
Classification: Fedora
Component: e2fsprogs (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Jay Turner
Depends On:
  Show dependency treegraph
Reported: 2003-07-24 05:21 EDT by Michael Young
Modified: 2015-01-07 19:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-10-25 16:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael Young 2003-07-24 05:21:08 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.2.1) Gecko/20030313

Description of problem:
If you cause the system to fsck files systems on boot (incidentally is there any
nicer way to do this than a hard reset of a running machine), and accept the
optional file check, I am seeing one or two funny characters at the start of the
progress lines. The boot reports my character set as lat9-16. This may just be a
cosmetic bug.
Comment 1 Bill Nottingham 2003-07-28 16:32:56 EDT
What does your /etc/sysconfig/i18n look like?
Comment 2 Michael Young 2003-07-29 04:35:12 EDT
# SYSFONT="lat0-16"
# SYSFONTACM="iso01"
Judging by the timestamp, the file dates from an 8.0 beta. Incidentally, by
comparing with showconsolefont the characters looked to be 0x01 and 0x02.
Comment 3 Bill Nottingham 2003-07-29 11:07:09 EDT
Change the lat9-16 to lat0-16, or lat0-sun16. lat9-16 is Just Wrong(tm), and
will cause wrong characters.
Comment 4 Michael Young 2003-07-29 11:21:23 EDT
I still get weird characters with lat0-sun16, maybe now the Right(tm) weird
characters, but still weird.
Comment 5 Michael Young 2003-07-29 12:11:07 EDT
Actually, the real fix was to add en_??.UTF-8 to the SUPPORTED line, and set
I am leaving this bug open so you can decide if anyone else is likely to have
the same problem. If you think not, close it.
Comment 6 Bill Nottingham 2003-07-29 12:32:13 EDT
Reproduced, that's odd.
Comment 7 Florian La Roche 2003-09-16 09:59:02 EDT
Is http://people.redhat.com/laroche/e2fsprogs-1.35-0.1.src.rpm fixing this?


Florian La Roche
Comment 8 Michael Young 2003-09-16 11:42:16 EDT
No the problem is still reproduceable with that version.
Comment 9 Michael Young 2004-01-13 05:00:55 EST
Updating product and version, as it is still present in FC1
Comment 10 Thomas Woerner 2004-04-08 11:03:38 EDT
I do not see these chars in FC2 test with LANG=en_GB (e2fsprogs-1.35).
I am using latarcyrheb-sun16 as font.
Comment 11 Thomas Woerner 2004-04-08 11:04:15 EDT
Can you test the new version, please?
Comment 12 Michael Young 2004-04-08 11:48:54 EDT
It is still broken for me with
and e2fsprogs-1.35-7
Comment 13 Matthew Miller 2006-07-11 13:42:21 EDT
Fedora Core 1 is maintained by the Fedora Legacy project for security updates
only. If this problem is a security issue, please reopen and reassign to the
Fedora Legacy product. If it is not a security issue and hasn't been resolved in
the current FC5 updates or in the FC6 test release, reopen and change the
version to match.


NOTE: Fedora Core 1 is reaching the final end of support even by the Legacy
project. After Fedora Core 6 Test 2 is released (currently scheduled for July
26th), there will be no more security updates for FC1. Please use these next two
weeks to upgrade any remaining FC1 systems to a current release.

Comment 14 John Thacker 2006-10-25 16:10:51 EDT
Closed per above message and lack of response.  Note that FC1 and FC2 are not even
supported by Fedora Legacy anymore.

Note You need to log in before you can comment on or make changes to this bug.